Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 386115 - net-analyzer/vnstat-1.11-r1 init script should change opts variable to use either extra_commands or extra_started_commands
Summary: net-analyzer/vnstat-1.11-r1 init script should change opts variable to use ei...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2011-10-07 17:31 UTC by Bjarke Istrup Pedersen (RETIRED)
Modified: 2012-01-01 01:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for init script to stop using deprecated variables (vnstatd.initd-patch,577 bytes, patch)
2011-11-17 16:35 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2011-10-07 17:31:51 UTC
net-analyzer/vnstat-1.11-r1 init script uses variables deprecated by
sys-apps/openrc-0.9.x. See bug #381895 for details.

 * Use of the opts variable is deprecated and will be
 * removed in the future.
 * Please use extra_commands or extra_started_commands.
 * Starting vnstatd ...           [ ok ]
Comment 1 Michael Palimaka (kensington) gentoo-dev 2011-11-17 16:35:04 UTC
Created attachment 292915 [details, diff]
patch for init script to stop using deprecated variables
Comment 2 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2012-01-01 01:19:30 UTC
Fixed in CVS. Thanks!